ECHO OFF

java -Xms368m -Xmx1024m -version:1.6* -jar flatdb4geonames.jar %1 %2 %3 %4 %5 %6 %7
if NOT ERRORLEVEL 1 goto exitpoint

set PATH=%PATH%;c:\Program Files\Java\jre6\bin;c:\Program Files (x86)\Java\jre6\bin
java -Xms368m -Xmx1024m -version:1.6* -jar flatdb4geonames.jar %1 %2 %3 %4 %5 %6 %7
if NOT ERRORLEVEL 1 goto exitpoint

java -Xms368m -Xmx1024m -jar flatdb4geonames.jar %1 %2 %3 %4 %5 %6 %7
if NOT ERRORLEVEL 1 goto exitpoint

set PATH=%PATH%;c:\Program Files\Java\jre7\bin;c:\Program Files (x86)\Java\jre7\bin
java -Xms368m -Xmx1024m -jar flatdb4geonames.jar %1 %2 %3 %4 %5 %6 %7
if NOT ERRORLEVEL 1 goto exitpoint

set PATH=%PATH%;c:\Program Files\Java\jre8\bin;c:\Program Files (x86)\Java\jre8\bin
java -Xms368m -Xmx1024m -jar flatdb4geonames.jar %1 %2 %3 %4 %5 %6 %7

:exitpoint
